summaryrefslogtreecommitdiff
path: root/eclass/ruby-single.eclass
diff options
context:
space:
mode:
Diffstat (limited to 'eclass/ruby-single.eclass')
-rw-r--r--eclass/ruby-single.eclass8
1 files changed, 4 insertions, 4 deletions
diff --git a/eclass/ruby-single.eclass b/eclass/ruby-single.eclass
index bf339bc9b601..e19597b99a01 100644
--- a/eclass/ruby-single.eclass
+++ b/eclass/ruby-single.eclass
@@ -7,7 +7,7 @@
# @AUTHOR:
# Author: Hans de Graaff <graaff@gentoo.org>
# Based on python-single-r1 by: Michał Górny <mgorny@gentoo.org>
-# @SUPPORTED_EAPIS: 4 5 6 7
+# @SUPPORTED_EAPIS: 4 5 6 7 8
# @BLURB: An eclass for Ruby packages not installed for multiple implementations.
# @DESCRIPTION:
# An eclass for packages which don't support being installed for
@@ -17,7 +17,7 @@
# pull in the dependency on the requested ruby targets.
#
# @CODE
-# USE_RUBY="ruby20 ruby21"
+# USE_RUBY="ruby26 ruby27"
# inherit ruby-single
# RDEPEND="${RUBY_DEPS}"
# @CODE
@@ -26,7 +26,7 @@ case "${EAPI:-0}" in
0|1|2|3)
die "Unsupported EAPI=${EAPI:-0} (too old) for ${ECLASS}"
;;
- 4|5|6|7)
+ 4|5|6|7|8)
;;
*)
die "Unsupported EAPI=${EAPI} (unknown) for ${ECLASS}"
@@ -66,7 +66,7 @@ inherit ruby-utils
#
# Example value:
# @CODE
-# || ( dev-lang/ruby:2.0 dev-lang/ruby:1.9 ) virtual/rubygems
+# || ( dev-lang/ruby:2.7 dev-lang/ruby:2.6 ) virtual/rubygems
# @CODE
#
# The order of dependencies will change over time to best match the